//
//  htmlParserViewController.m
//  htmlParser
//
//  Created by kunii on 10/05/30.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "htmlParserViewController.h"
#import "konohanaParser.h"

@implementation htmlParserViewController

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	konohanaParser* parser_contribute =[konohanaParser parserWithType:parse_contribute];
	[parser_contribute parse:@"http://localhost/konohana/mainlist.php"];
	konohanaParser* parser_suggestion =[konohanaParser parserWithType:parse_suggestion];
	[parser_suggestion parse:@"http://localhost/konohana/suggestlist.php?contribution_id=12"];
	konohanaParser* parser_vote =[konohanaParser parserWithType:parse_vote];
	[parser_vote parse:@"http://localhost/konohana/suggest.php?contribution_id=8&suggestion_id=29"];
	
	NSLog(@"%@\n", parser_contribute.list);
	NSLog(@"%@\n", parser_suggestion.list);
	NSLog(@"%@\n", parser_vote.list);
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end


